Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 882456 - [abrt] policycoreutils-python-2.1.13-37.fc18: __init__.py:40:policy:RuntimeError: Cannot allocate memory
Summary: [abrt] policycoreutils-python-2.1.13-37.fc18: __init__.py:40:policy:RuntimeEr...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:59c5322794bad18cbdd40a0a80b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-01 03:30 UTC by Nicholas Schuetz
Modified: 2012-12-12 00:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-12 00:31:08 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (583 bytes, text/plain)
2012-12-01 03:30 UTC, Nicholas Schuetz
no flags Details
File: core_backtrace (404 bytes, text/plain)
2012-12-01 03:30 UTC, Nicholas Schuetz
no flags Details
File: environ (2.54 KB, text/plain)
2012-12-01 03:30 UTC, Nicholas Schuetz
no flags Details

Description Nicholas Schuetz 2012-12-01 03:30:39 UTC
Version-Release number of selected component:
policycoreutils-python-2.1.13-37.fc18

Additional info:
cmdline:        /usr/bin/python -Es /usr/sbin/semanage
executable:     /usr/sbin/semanage
kernel:         3.6.7-5.fc18.x86_64
uid:            1000

Truncated backtrace:
__init__.py:40:policy:RuntimeError: Cannot allocate memory

Traceback (most recent call last):
  File "/usr/sbin/semanage", line 25, in <module>
    import seobject
  File "/usr/lib64/python2.7/site-packages/seobject.py", line 27, in <module>
    import sepolicy
  File "/usr/lib64/python2.7/site-packages/sepolicy/__init__.py", line 43, in <module>
    policy(policy_file)
  File "/usr/lib64/python2.7/site-packages/sepolicy/__init__.py", line 40, in policy
    _policy.policy(policy_file)
RuntimeError: Cannot allocate memory

Local variables in innermost frame:
policy_file: None

Comment 1 Nicholas Schuetz 2012-12-01 03:30:42 UTC
Created attachment 655402 [details]
File: backtrace

Comment 2 Nicholas Schuetz 2012-12-01 03:30:43 UTC
Created attachment 655403 [details]
File: core_backtrace

Comment 3 Nicholas Schuetz 2012-12-01 03:30:45 UTC
Created attachment 655404 [details]
File: environ

Comment 4 Daniel Walsh 2012-12-06 19:48:56 UTC
Fixed in policycoreutils-2.1.13-44.fc18

Comment 5 Fedora Update System 2012-12-10 14:12:17 UTC
policycoreutils-2.1.13-44.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/policycoreutils-2.1.13-44.fc18

Comment 6 Fedora Update System 2012-12-10 21:15:12 UTC
Package policycoreutils-2.1.13-44.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.1.13-44.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20070/policycoreutils-2.1.13-44.fc18
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-12-12 00:31:10 UTC
policycoreutils-2.1.13-44.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.